VLDB_CHECK(8)

NAME
vldb_check - Checks the integrity of the VLDB

SYNOPSIS
vldb_check B<-database> <I<vldb file>> [-uheader] [-vheader]
    [-servers] [-entries] [-quiet | -verbose] [-help]

vldb_check B<-d> <I<vldb file>> [-u] [-vh] [-s] [-e]
    [-ve] [-h]

DESCRIPTION
The vldb_check command checks the integrity of the Volume Location Database (VLDB), reporting any errors or corruption it finds. If there are problems, do not issue any vos commands until the database is repaired.

CAUTIONS
The results can be unpredictable if the Volume Location (VL) Server makes changes to the VLDB while this command is running. Use the bos shutdown command to shutdown the local vlserver process before running this command, or before creating a second copy of the vldb.DB0 file (with a different name) on which to run the command.

OPTIONS

-database <vldb file>
    Names the VLDB (copy of the vldb.DB0 file) to check. If the current working directory is not the location of the file, provide a pathname, either full or relative to the current working directory.

-uheader
    Displays information which Ubik maintains in the database's header.

-vheader
    Displays information which the VL Server maintains in the database's header.

-servers <authentication servers>+
    Outputs the server entries from the VLDB, which list the IP addresses registered for each file server machine in the cell.

-entries
    Outputs every volume entry in the database. The information includes the volume's name and the volume ID number for each of its versions.

-quiet
    Blocks output from going to stdout. Output to stderr is not blocked. Cannot be used with -verbose, -uheader, -servers or -entries.

-verbose
    Reports additional information about the database, including the number of entries for each type of volume. Cannot be used with -quiet.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
If there are errors in the database, the output always reports them on the standard error stream. If any options other than -database or -help are provided, the output written to the standard output stream includes additional information as described for each option in OPTIONS. The output is intended for debugging purposes and is meaningful to someone familiar with the internal structure of the VLDB.

The -quiet option can be used to suppress the standard output stream so that the command can be used more easily inside scripts.

The command exits with one of the following completion codes:

0: No errors or warnings have been encountered. 1: One or more warnings encountered. 2: One or more warnings and/or errors encountered. 4: A fatal or internal error has occurred and the program cannot proceed.

PRIVILEGE REQUIRED
The issuer must be logged in as the local superuser "root".

SEE ALSO
vldb.DB0(5), bos_shutdown(8), vlserver(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.